/**** begin card style ****/
.card.card-result {
    position: relative;
    min-height: 400px;
    border-radius: 12px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    z-index: 1;
}
.card.card-result::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 150px;
    width: auto;
    height: 200px;
    background-color: var(--color-4);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transform: skewY(-15deg);
    z-index: -1;
}
.card.card-result::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 80px;
    width: auto;
    height: 50px;
    background-color: var(--color-4);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transform: skewY(-15deg);
    z-index: -1;
}
.card.card-result .card-body {
    border-radius: 12px;
}
.card.card-result .card-body .title-separator {
    display: block;
    position: relative;
    margin: 10px 0;
    width: 100px;
    height: 4px;
    background-color: var(--color-9);
    border-radius: 50px;
}
.card.card-result .card-body .banner-wrapper {
    display: block;
    position: relative;
    max-width: 300px;
}
.card.card-result .card-body .banner-wrapper .banner-icon {
    display: block;
    position: relative;
    width: 60px;
    height: 60px;
}
.card.card-result .card-body .banner-wrapper .banner-icon img {
    width: 100%;
}
.card.card-result .card-body .banner-wrapper .banner-separator {
    display: block;
    position: relative;
    margin: 0 15px;
    width: 2px;
    height: 60px;
    background-color: var(--color-9);
    border-radius: 50px;
}
.card.card-result .card-body .banner-wrapper .banner-title {
    margin-bottom: 0;
    font-size: 18px;
}
.card.card-result .card-body .banner-wrapper .banner-description {
    margin-bottom: 0;
    font-size: 14px;
}
.card.card-result .card-body .card-separator {
    display: block;
    position: relative;
    margin: 10px 0;
    width: auto;
    height: 2px;
    background-image: var(--gradient-3);
}
.card.card-result .card-body .winner-wrapper {
    display: block;
    position: relative;
    padding-bottom: 15px;
    background-color: rgba(0, 0, 0, 0.65);
}



.prize-wrapper .prize-block {
    position: relative;
    display: inline-block;
    margin: 0 2.5px;
    width: 35px;
    height: 35px;
    background-image: var(--gradient-1);
    border: 2px solid var(--color-2);
    border-radius: 50px;
    padding: 2.5px;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.65);
}
.prize-wrapper .prize-block.winner {
    background-image: var(--gradient-2);
}
.prize-wrapper .prize-block.mini {
    margin: 0 1.5px;
    width: 30px;
    height: 30px;
    padding: 1.5px;
}
.prize-wrapper .prize-block:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 16px;
    height: 8px;
    margin: 0 auto;
    background-color: rgba(225, 225, 225, 0.45);
    border-radius: 50px;
}
.prize-wrapper .prize-block.mini:after {
    width: 10px;
}
.prize-wrapper .prize-block:before {
    content: "";
    position: absolute;
    bottom: -9px;
    left: 0;
    right: 0;
    width: auto;
    height: 6px;
    border-radius: 50%;
    background-color: #07133080;
    filter: blur(3px);
}
.prize-wrapper .prize-block .prize-digit {
    position: relative;
    width: 26px;
    height: 26px;
    line-height: 26px;
    color: var(--color-8);
    border-radius: 50px;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
}
.prize-wrapper .prize-block.winner .prize-digit {
    color: var(--color-8);
}
.prize-wrapper .prize-block.mini .prize-digit {
    width: 23px;
    height: 23px;
    line-height: 23px;
    font-size: 16px;
}



.card.card-history {
    position: relative;
    min-height: 400px;
    border-radius: 12px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    z-index: 1;
}



.history-wrapper {
    display: block;
    position: relative;
    padding: 15px;
    background-color: rgba(0, 0, 0, 0.65);
    border-radius: 12px;
}
.history-wrapper .history-separator {
    display: block;
    position: relative;
    margin: 0 15px;
    width: 2px;
    height: 60px;
    background-color: var(--color-9);
    border-radius: 50px;
}
.history-wrapper .history-date {
    display: block;
    position: relative;
    width: 50px;
}
.history-wrapper .history-date .date-day,
.history-wrapper .history-date .date-month,
.history-wrapper .history-date .date-year {
    display: block;
    position: relative;
    width: 50px;
    font-weight: 700;
    line-height: 1;
    text-transform: uppercase;
}
.history-wrapper .history-date .date-day {
    font-size: 32px;
}
.history-wrapper .history-date .date-month {
    font-size: 22px;
}
/**** endof card style ****/